<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/main_content"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/course_color_FFFFFF"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="30dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="5dp"
            android:padding="15dp"
            android:scaleType="centerCrop"
            android:src="@drawable/course_icon_back_black" />

        <com.yidianling.course.widget.SearchBarView
            android:id="@+id/search_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

    </LinearLayout>


    <View
        android:id="@+id/divider_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#f0f0f0" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:orientation="horizontal">

        <com.ydl.ydlcommon.view.DrawableRightTextView
            android:id="@+id/sort_layout"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableRight="@drawable/platform_arrow_drop_down_un"
            android:gravity="center"
            android:text="综合排序"
            android:textColor="@color/platform_main_theme"
            android:textSize="14sp"
            android:textStyle="bold" />

        <com.ydl.ydlcommon.view.DrawableRightTextView
            android:id="@+id/classify_layout"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableRight="@drawable/platform_arrow_drop_down_un"
            android:gravity="center"
            android:text="分类"
            android:textColor="@color/course_color_242424"
            android:textSize="14sp" />

        <com.ydl.ydlcommon.view.DrawableRightTextView
            android:id="@+id/filter_layout"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:drawableRight="@drawable/platform_arrow_drop_down_un"
            android:gravity="center"
            android:text="筛选"
            android:textColor="@color/course_color_242424"
            android:textSize="14sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_hot_search"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="15dp"
        android:paddingRight="15dp"
        android:paddingBottom="10dp" />


    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#f0f0f0" />

    <com.yidianling.course.widget.CouponHintView
        android:id="@+id/hint_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <in.srain.cube.views.ptr.PtrFrameLayout
            android:id="@+id/store_house_ptr_frame"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <in.srain.cube.views.loadmore.LoadMoreListViewContainer
                android:id="@+id/load_more_list_view_container"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <ListView
                    android:id="@+id/lv_content"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:divider="@color/course_color_EDEDED"
                    android:dividerHeight="0dp" />

                <ImageView
                    android:id="@+id/iv_course_list_empty_view"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="50dp"
                    android:src="@drawable/course_blank"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/tv_course_list_empty_prompt"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="14dp"
                    android:text="暂无相应记录"
                    android:textColor="#b2b2b2"
                    android:visibility="gone" />


                <com.ydl.ydlcommon.ui.LogoLoadingView
                    android:id="@+id/v_loading"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone" />


            </in.srain.cube.views.loadmore.LoadMoreListViewContainer>

        </in.srain.cube.views.ptr.PtrFrameLayout>

        <View
            android:id="@+id/img_backgroud"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:alpha="0.4"
            android:background="@android:color/black"
            android:visibility="gone" />
    </FrameLayout>

</LinearLayout>
